<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/18/2004 *
 * ================                             Last change: 04/18/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-admins_edit.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit admin accounts                              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Admin-Account editieren                          *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// Instance for the cache extension
global $cacheInstance;

// Set selection data to empty array when it is empty
if (empty($_POST['sel'])) $_POST['sel'] = array();

// Check if direct admin account was selected
if (!empty($_GET['admin'])) {
	// Secure ID number
	$aid = bigintval($_GET['admin']);
	$_POST['edit'] = "1";
	$_POST['sel'][$aid] = array("1");
}

if ((isset($_POST['edit'])) && (SELECTION_COUNT($_POST['sel']) > 0)) {
	// Edit account(s)
	ADMINS_EDIT_ACCOUNTS($_POST);
} elseif ((isset($_POST['change'])) && (sizeof($_POST['login']) > 0)) {
	// Change admin accounts
	ADMINS_CHANGE_ADMIN_ACCOUNT($_POST);
} elseif ((isset($_POST['del'])) && (SELECTION_COUNT($_POST['sel']) > 0)) {
	// Show admin accounts for deletetion
	ADMINS_DELETE_ADMIN_ACCOUNTS($_POST);
} else {
	if ((isset($_POST['remove'])) && (SELECTION_COUNT($_POST['sel']) > 0)) {
		// Remove accounts now
		ADMINS_REMOVE_ADMIN_ACCOUNTS($_POST);
	}

	// List all admin accounts
	ADMINS_LIST_ADMIN_ACCOUNTS();
}

//
?>
